"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n    position: relative;\n    width: ", "px;\n    height: ", "px;\n    display: inline-block;\n    border-radius: 50%;\n    overflow: hidden;\n    color: ", ";\n\n    .spans {\n        position: absolute;\n        top: 0px;\n        left: 0px;\n        width: 100%;\n        height: 100%;\n        cursor: pointer;\n    }\n    .spans > span {\n        position: absolute;\n        left: 20%;\n        height: 2px;\n        width: 60%;\n        background-color: ", ";\n        transition: all 0.5s;\n    }\n    .spans > span:nth-child(1) {\n        top: 28%;\n    }\n    .spans > span:nth-child(2) {\n        top: 48%;\n    }\n    .spans > span:nth-child(3) {\n        top: 48%;\n    }\n    .spans > span:nth-child(4) {\n        top: 68%;\n    }\n    &:hover {\n        color: ", ";\n    }\n    .spans:hover > span {\n        background-color: ", ";\n    }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledMenuButton = _styledComponents.default.div(_templateObject(), function (props) {
  return props.size || 40;
}, function (props) {
  return props.size || 40;
}, function (props) {
  return props.color || "#333";
}, function (props) {
  return props.color || "#333";
}, function (props) {
  return props.colorHover || "#999";
}, function (props) {
  return props.colorHover || "#999";
});

var _default = StyledMenuButton;
exports.default = _default;